/*	afapi.h

	AFAPI function declarations, etc.

	AFAPI is the Aggregate Function Application Programming
	Interface.  This grew out of the PAPERS (Purdue's Adapter for
	Parallel Execution and Rapid Synchronization) project hardware
	designs and libraries, but now additionally supports a wide
	range of other hardware configurations.

	Notice that the AFAPI files are now organized in nearly the
	same way that they are described in the reference cards.

	July 1996 by H. Dietz
*/


#ifndef _AFAPI_H
#define _AFAPI_H


#include "types.h"	/* Types, constants, magic variables */
#include "control.h"	/* Control functions */
#include "prim.h"	/* Primitives (duplicates of inline.h) */
#include "com.h"	/* Communication functions */
#include "reduce.h"	/* Associative reduction functions */
#include "scan.h"	/* Scan (parallel prefix) functions */
#include "vote.h"	/* Voting and scheduling functions */
#include "signal.h"	/* Signal and RSM support */


#endif
